[Помогите] ошибки при установке модулей на maxystore

Тема в разделе "OpenCart", создана пользователем Grave, 30 сен 2013.

  1. Grave

    Grave

    Регистрация:
    12 фев 2013
    Сообщения:
    54
    Симпатии:
    12
    Помогите решить проблему, после некоторого времени на сборке maxystore 1.5.3.1 с парой модулей начали сыпаться ошибки. причём только на страницах товара. на остальных всё ОК

    --- Добавлено, 30 сен 2013 ---
    куда копать?
     
  2. fedia

    fedia

    Регистрация:
    4 авг 2013
    Сообщения:
    102
    Симпатии:
    13
    Начните с хронологии событий после каких изменений все началось. Обычно конфликт модулей.
     
  3. AnOcToJI

    AnOcToJI

    Регистрация:
    28 дек 2012
    Сообщения:
    293
    Симпатии:
    186
    это не ошибки а замечания и не более
    попробуйте в настройках магазина во вкладке сервер отключить показ ошибок
     
  4. Grave

    Grave

    Регистрация:
    12 фев 2013
    Сообщения:
    54
    Симпатии:
    12
    я бы не обращал внимания, если бы они не сыпались в самом верху на странице (
    в логах
    PHP Warning: Division by zero in /home/u852/public_html/catalog/controller/product/category.php on line 213
    и потом множественные
     
  5. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.054
    Симпатии:
    779
    У вас есть товары с нулевой стоимостью? Максистор автоматически рассчитывает процент скидки для акционных товаров, но разработчики забыли добавить проверку цены на нулевое значение (теоретически это и не нужно, ведь товар же не может быть бесплатным), отсюда и ошибка.

    Остальные ошибки возникают только на странице товара потому, что эти поля выводяться только на странице товара. А возникают они потому, что вы поставили шаблон рассчитанный на версию 1.5.5. В версии 1.5.3 нет этих полей у товара.
     
    Grave, fedia и seroga нравится это.
  6. Grave

    Grave

    Регистрация:
    12 фев 2013
    Сообщения:
    54
    Симпатии:
    12
    это на шаблоне universal, но также присутствует и на дефолтном
     
    Последнее редактирование: 30 сен 2013
  7. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.054
    Симпатии:
    779
    Да, похоже у вас обратная проблема: у вас не шаблон от 1.5.5, а контроллер страницы товара. Я не обратил внимание, что ошибка в product.php, а не product.tpl.
    Вы не ставили никаких модулей, которые заменяют контроллер товара (/catalog/controller/product/product.php)?
     
    Grave нравится это.
  8. Grave

    Grave

    Регистрация:
    12 фев 2013
    Сообщения:
    54
    Симпатии:
    12
    Спасибо, да, разобрался, файл /catalog/controller/product/product.php оказался от версии 1.5.4.1